





#include "xcstaticmodelwritable.h"

XCStaticModelWritable::XCStaticModelWritable()
    : XAsset() {
}

void XCStaticModelWritable::ParseData(QDataStream *aStream) {
    if (GetPtr() == -1) {
        aStream->read((char*)&mNextModelInWorldSector, sizeof(quint16));
    }
}

quint16 XCStaticModelWritable::GetNextModelInWorldSector() const {
    return mNextModelInWorldSector;
}

void XCStaticModelWritable::SetNextModelInWorldSector(quint16 nextModel) {
    mNextModelInWorldSector = nextModel;
}



